Bug 119160 - PPTX: Font effect 'transformation' save with shape filling
Summary: PPTX: Font effect 'transformation' save with shape filling
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-08 20:27 UTC by Regina Henschel
Modified: 2018-08-20 11:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original file as saved by PowerPoint 365 (478.44 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-08-08 20:27 UTC, Regina Henschel
Details
Resave by LibreOffice (489.41 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-08-08 20:32 UTC, Regina Henschel
Details
How the resaved file looks in PowerPoint (120.30 KB, image/png)
2018-08-08 20:35 UTC, Regina Henschel
Details
Screenshot from resaved file in Powerpoint (187.41 KB, image/png)
2018-08-08 21:44 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-08-08 20:27:18 UTC
Created attachment 144037 [details]
Original file as saved by PowerPoint 365

With the patch for bug 116350 LibreOffice can read font effects 'transformation'. But if such file is save (without any changes) back to pptx, then the objects get shape filling.

I know, that ODF does not distinguish between character filling and shape filling in Fontworks, but as long as LibreOffice is still in pptx format, it should remember, that the objects had no shape filling. At least no shape filling should be written, because that is more likely than a filled shape in case of fontwork.
Comment 1 Regina Henschel 2018-08-08 20:32:28 UTC
The attached file is generated from the file from bug 116350, but now I have removed the character shadow. And I have saved it in non-strict format, so that the resave by LibreOffice can be opened in PowerPoint. [Resave of strict format produces invalid pptx file, see bug 119087.]

Szymon, I have put you on CC, because you are currently working in that area.
Comment 2 Regina Henschel 2018-08-08 20:32:59 UTC
Created attachment 144038 [details]
Resave by LibreOffice
Comment 3 Regina Henschel 2018-08-08 20:35:07 UTC
Created attachment 144039 [details]
How the resaved file looks in PowerPoint
Comment 4 Regina Henschel 2018-08-08 21:44:57 UTC
Created attachment 144041 [details]
Screenshot from resaved file in Powerpoint

With commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=f536bff1dc0e80c6ef23d132edf471ea75ffb05e from bug 116350 the wrong 'arc' areas are fixed. But there are still fillings where they should not be. See slides 6, 10, 12, 14 and 16.

Tested with Version: 6.2.0.0.alpha0+ (x64)
Build ID: f536bff1dc0e80c6ef23d132edf471ea75ffb05e
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: de-DE (en_US); Calc: group threaded
Comment 5 Szymon Kłos 2018-08-09 15:11:30 UTC
f536bff1dc0e80c6ef23d132edf471ea75ffb05e fixed this issue
Comment 6 Regina Henschel 2018-08-09 20:44:30 UTC
No, my build includes that commit and I still see wrong fillings. Use the attached file "Original...", re-save it by LibreOffice and look at it in PowerPoint. The wrong fillings are on slide 6, 10, 12, 14 and 16.
Comment 7 Xisco Faulí 2018-08-10 11:29:46 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/58817/
Comment 8 Commit Notification 2018-08-10 14:58:46 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b348f1a0d28708d801c0cb54536dd5798bd0ef68

tdf#119160 remove fill from all fontwork shapes

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Regina Henschel 2018-08-11 17:02:18 UTC
The roundtrip PowerPoint -> LibreOffice -> PowerPoint has no longer unwanted shape filling.
Comment 10 Commit Notification 2018-08-20 11:50:08 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6dda0acb8bb6ca0fba607e1d566fca960b78cf8&h=libreoffice-6-1

tdf#119160 remove fill from all fontwork shapes

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.